Package com.uca.bookings

## Enum BookingState

- java.lang.Object
- - java.lang.Enum<BookingState>
  - - com.uca.bookings.BookingState

All Implemented Interfaces:
  `State`, `java.io.Serializable`, `java.lang.Comparable<BookingState>`

    public enum BookingState
    extends java.lang.Enum<BookingState>
    implements State

Implement different state of a booking

### Enum Constant Summary

Enum Constants
`CANCELED`
`CONFIRMED`
`INITIAL`
`PAYED`

### Method Summary

All Methods Static Methods Concrete Methods
`static BookingState` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BookingState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.uca.bookings.State

`cancel, confirm, pay`

### Enum Constant Detail

#### INITIAL

    public static final BookingState INITIAL

#### PAYED

    public static final BookingState PAYED

#### CONFIRMED

    public static final BookingState CONFIRMED

#### CANCELED

    public static final BookingState CANCELED

### Method Detail

#### values

    public static BookingState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BookingState c : BookingState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BookingState valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null